GTKADA-CONFIG(1)

NAME
gtkada-config - script to get information about the installed version of GTKADA

SYNOPSIS
gtkada-config [--prefix[=DIR]] [--version] [--libs] [--cflags] [--static]

DESCRIPTION

gtkada-config is a tool that is used to configure to determine the compiler and linker flags that should be used to compile and link programs that use GtkAda. To compile, bind and link a program against GtkAda, you invoke gnatmake like this:

  gnatmake my_prog `gtkada-config`

OPTIONS
gtkada-config accepts the following options:

--version
    Print the currently installed version of GTKADA on the standard output.

--libs
    Print the linker flags that are necessary to link a GTKADA program.

--cflags
    Print the compiler flags that are necessary to compile a GTKADA program.

--static
    Print the flags that are necessary to statically build a GTKADA program.

--prefix
    Print the path prefix where GTKADA is installed.

NOTES
In Debian GNU/Linux, a GNAT project file is available as an alternative; see /usr/share/ada/adainclude/gtkada.gpr.

COPYRIGHT FOR THIS MAN PAGE
This man page has been written by Samuel Tardieu and modified by Ludovic Brenta and Nicolas Boulenguez for the Debian GNU/Linux distribution, from information given by the GtkAda authors Emmanuel Briot, Joel Brobecker and Arnaud Charlet.

Permission to use, copy, modify, and distribute this documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.